const actions = ['get', 'post', 'all', 'put', 'delete'];
const defaultAction = 'all';

module.exports = function(array) {
    return array.map((obj) => {
        let result = {
            action: obj.action
        };
        const lastElement = obj.route[obj.route.length - 1];
        let method = defaultAction;
        if (actions.includes(lastElement)) {
            obj.route.splice(obj.route.length - 1, 1);
            method = lastElement;
        }
        result.route = obj.route;
        result.method = method;
        return result;
    });
};
