module.exports = function(src) {
    const file = require(src);
    if (typeof file === 'function') {
        return [{
            method: 'all',
            action: file
        }];
    } else if (typeof file === 'object') {
        let actions = [];
        for(let field in file) {
            actions.push({
                method: field,
                action: file[field]
            });
        }
        return actions;
    } else {
        return [];
    }
};
