/* global describe, it */
const expect = require('chai').expect;
const path = require('path');
const mixed = require('../../src/generators/mixed.js');
const match = require('../helpers/match.js');

const filePath = path.join(__dirname, '..', 'test-data', 'mixed');

describe('mixed', function() {
    it('work', function() {
        const results = mixed(filePath);
        expect(results).to.be.an('array');
        expect(results).to.have.length.of(6);
        match(results, [{ method: 'string', action: 'function', url: 'string' }]);
    });
});
