/* global describe, it */
const expect = require('chai').expect;
const path = require('path');
const objectBased = require('../../src/generators/object-based.js');
const match = require('../helpers/match.js');

const filePath = path.join(__dirname, '..', 'test-data', 'object.js');

describe('object-based', function() {
    it('work', function() {
        const results = objectBased(filePath);
        expect(results).to.be.an('array');
        expect(results).to.have.length.of(7);
        match(results, [{ method: 'string', action: 'function', url: 'string' }]);
    });
});
