/* global describe, it */

const expect = require('chai').expect;
const changeActions = require('../../src/utils/change-actions.js');

describe('change-actions', function () {
    it('should work', function (done) {
        expect(changeActions([
            { route: ['Home', 'get'], action: func },
            { route: ['Assessments', 'labs', 'request'], action: func },
            { route: ['Assessments', 'labs', 'process'], action: func },
            { route: ['Assessments', 'labs', 'get'], action: func }
        ])).to.deep.equal([
            { route: ['Home'], action: func, method: 'get' },
            { route: ['Assessments', 'labs', 'request'], action: func, method: 'all' },
            { route: ['Assessments', 'labs', 'process'], action: func, method: 'all' },
            { route: ['Assessments', 'labs'], action: func, method: 'get' }
        ]);
        done();
    });
});

function func() {}
