const changeActions = require('../utils/change-actions.js');
const parseObject = require('../utils/parse-object.js');

module.exports = function(src) {
    let object = require(src);
    return changeActions(parseObject(object)).map((obj) => {
        obj.url = obj.route.reduce((prev, curr) => `${prev}/${curr}`);
        delete obj.route;
        return obj;
    });
};
