/* global describe, it */

const expect = require('chai').expect;
const requirePath = require('../../src/utils/require-path.js');
const path = require('path');

const simpleAction = path.join(__dirname, '..', 'test-data', 'src3', 'simple');
const complexAction = path.join(__dirname, '..', 'test-data', 'src3', 'index.post');

describe('require-path', function() {
    it('should export function from simple action', function() {
        expect(requirePath(simpleAction)).to.be.a('function');
    });

    it('should export function from complex action', function() {
        expect(requirePath(complexAction)).to.be.a('function');
    });
});
